<%@ page language="java" contentType="text/html; charset=UTF-8"
	pageEncoding="UTF-8"%>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core"%>
<!DOCTYPE html>
<html lang="ja">
<head>
    <meta charset="UTF-8">
    <jsp:include page="/baselayout/head.html" />
    <title>admin item signup</title>
</head>

<body>
    <jsp:include page="/baselayout/admin_header.jsp" />

    <nav class="nav flex-column">
        <div class="row">
            <jsp:include page="/baselayout/admin_navbar.jsp" />

            <div class="col-10">
                <div class="container">
                    <form action="AdminItemSignup" method="POST">

                        <div class="row">
                            <h3 class=" col offset-4">商品登録</h3>
                        </div>
                        <br>
                        <div class="row">
                            <h6 class="ml-4" style="color: cadetblue">商品情報の新規登録が行えます。画像サイズはスクエアで登録してください。</h6>
                        </div>
                        <br>
                        <div class="row">
                            <div class="col-sm-10">
                                <div class="card">
                                    <div class="card-content">
                                        <h5 class="card-header">商品情報登録</h5>
                                        <br> <br>
                                        <div class="row mb-2">

                                            <label class="offset-2 col-sm-2 p-0 text-right">画像データ：</label><input type="file" name="fileName" accept=".png,.jpeg" style="width: 300px">

                                        </div>
                                        <div class="row mb-2">

                                            <label class="offset-2 col-sm-2 p-0 text-right">ブランド選択：</label>
                                            <select class="form-control col-sm-2" name="brandId">
                                                <option value="1">PUPUPU</option>
                                                <option value="2">DEDEDE</option>
                                                <option value="3">RORORO</option>
                                                <option value="4">LALALA</option>
                                            </select>

                                        </div>

                                        <div class="row mb-2">

                                            <label class="offset-1 col-sm-3 p-0 text-right">カテゴリー選択：</label>
                                            <select class="form-control col-sm-2" name="categoryId">
                                                <option value="1">TOPS</option>
                                                <option value="2">OUTER</option>
                                                <option value="3">PANT</option>
                                                <option value="4">SHOES</option>
                                                <option value="5">BAG</option>
                                            </select>

                                        </div>

                                        <div class="row mb-2">

                                            <label class="offset-2 col-sm-2 p-0 text-right">商品名：</label><input type="text" name="itemName" style="width: 200px">

                                        </div>

                                        <div class="row mb-2">
                                            <label class="offset-2 col-sm-2 p-0 text-right">詳細：</label><input type="text" name="detail" class="form-control">
                                        </div>

                                        <div class="row mb-2">
                                            <label class="offset-2 col-sm-2 p-0 text-right">サイズ：</label><input type="text" name="size" class="form-control">
                                        </div>

                                        <div class="row mb-2">
                                            <label class="offset-2 col-sm-2 p-0 text-right">単価：</label><input type="text" name="price" oninput="value = value.replace(/[^0-9]+/i,'');" style="width: 200px">
                                        </div>

                                        <div class="row mb-2">
                                            <label class="offset-2 col-sm-2 p-0 text-right">非表示設定：</label><input type="text" name="hiddenFlag" style="width: 200px">
                                        </div>

                                        <br>
                                        <div class="row">
                                            <div class="col">
                                                <button class="btn btn-secondary mb-2 offset-5" style="width: 140px" type="submit">登録</button>
                                            </div>
                                        </div>

                                        <br>

                                    </div>
                                </div>
                            </div>
                        </div>
                        <br>
                        <div class="row">
                            <div class="col-sm-4 offset-8">
                                <a class="btn btn-info" href="AdminHome" style="width: 173px; height: 41px" role="button">TOPに戻る</a>
                            </div>
                        </div>
                        <br>
                    </form>
                </div>
            </div>
        </div>
    </nav>
</body></html>
